# RPM specfile for the UpdateBackupRFS package
# Copyright 2009 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW February 2009
# SCCS: @(#)UpdateBackupRFS.spec	1.2 12/27/10 13:59:02
# Note that the version number (1.2 - SCCS %-I-% (sans -)) of this file defines the package version #. It is used in the Makefile.

%define name UpdateBackupRFS
%define version 1.2
%define release 2.0

Summary: Freshen a backup partition of a system's Root File System
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.phcomp.co.uk/Downloads/UpdateBackupRFS-%{version}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}
BuildArchitectures: noarch

License: GPL

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root
%if 0%{?rhel} >= 5
Requires: ksh coreutils perl gawk grep util-linux e2fsprogs cpio findutils
%else
Requires: pdksh coreutils perl gawk grep util-linux e2fsprogs cpio findutils
%endif
# Do not include reiserfs as a Require since this is optional
BuildRequires: make sed

# This is only needed if we want to build a relocatable RPM:
#Prefix: %{_prefix}

%description
Maintaining a backup copy of a system's RFS can be useful if the RFS becomes unusable
and booting from CD/network is difficult.
This will allow the system to boot and use it as the Root File System so that
the normal Root File System can be repaired.

UpdateBackupRFS automates the process of taking a backup copy on a disk partition
that is mounted at /RFS.BAK.
%prep
%setup -q

%build
%install

rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/UpdateBackupRFS
%doc TODO Hacks License Contributors README
%{_mandir}/man*/UpdateBackupRFS.*

%changelog
* Mon Dec 27 2010 Alain Williams <addw@phcomp.co.uk>
- Wrap up small changes: documentation & argument processing
* Tue Feb 03 2009 Alain Williams <addw@phcomp.co.uk>
- First as RPM.
